.checkbox-with-label {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
  }
  
  .checkbox-with-label label {
    font-size: 14px;
    color: var(--black-2); /* Negro 2 */
    line-height: 20px;
    cursor: pointer;
    margin: 0px;
    transition: color 0.3s ease;
  }
  
  /* Nueva clase para el estado disabled */
  .checkbox-with-label--disabled {
    cursor: not-allowed; /* Cambia el cursor a “no permitido” */
  }
  
  .checkbox-with-label--disabled label {
    color: var(--black-3); /* Gris 3 */
    cursor: not-allowed;
  }
  
  /* Opcional: Estilo adicional para el propio checkbox */
  .checkbox-with-label--disabled .checkbox-custom {
    opacity: 0.5; /* baja la opacidad del cuadro */
    cursor: not-allowed;
  }
  